//                                                        
//   Programa elaborado por Genaro Juarez Martinez        
//   e-mail: genaro@enigma.red.cinvestav.mx               
//               genarojm@correo.unam.mx                             
//   Area: Automatas Celulares                            
//   CINVESTAV IPN                                        
//                                                        

#import <AppKit/AppKit.h>
#import "operations.h"
#import "evolution.h"
#import "colors.h"

@interface control : NSObject
{
    // Conecta a la subclase Evolution
    id view_evolution;
    // Conecta a la subclase Operations
    id class_operations;
    // Conecta a la subclase Colors
    id class_colors;

    NSColor *color1;
    NSColor *color2, *color3, *color4;
}

-(void)initOwner:(id)sender;

// Boton configuracion inicial
-(void)initialConfiguration:(id)sender;

// Boton evolucion
-(void)evolutionSpace:(id)sender;

// Boton continuar evolucion
-(void)continueEvolution:(id)sender;

// Boton limpiar vista
-(void)clearView:(id)sender;

// Arreglo de botones para los gliders
-(void)gliderType:(id)sender;

// Pintar ether
-(void)paintEther:(id)sender;

@end
