//                                                        
//   Programa elaborado por Genaro Juarez Martinez        
//   e-mail: genaro@enigma.red.cinvestav.mx               
//               genarojm@correo.unam.mx                             
//   Area: Automatas Celulares                            
//   CINVESTAV IPN                                        
//                                                        

#import <AppKit/AppKit.h>

@interface operations : NSObject
{
    id density;
    id size_cell;
    id rule_evolution;
    id cells;
    id evolutions;
}

// Convierte decimal en binario
int rule_binary(int ruleaux);

// Reviza frontera izquierda
int check_left(int k,int ring);

// Reviza frontera derecha
int check_right(int k,int ring);

// Configuracion aleatoria
-(void)initialconfiguration:(int)ring;

// Tamano de la celula
-(int)sizeCell:(int)ring:(int)lines;

// Determina el tamano de celula
-(void)sizeCells:(int)ring:(int)lines;

// RING recalculado
-(int)newRing;

// LINES recalculado
-(int)newLines;

// Capturar configuracion inicial
-(int)captureConfigurationInitial:(int)columna;

// Captura evolucion
-(int)captureEvolution:(int)row:(int)column;

// Calcular evolucion
-(void)makeEvolution:(int)ring:(int)lines;

// Continuar la evolucion
-(void)evolutionContinue:(int)ring:(int)lines;

// Captura el glider activado
- (void)typeGlider:(int)numbertag:(int)ring;

// Limpia variables y el view
-(void)clearVar;

@end
